# Generated from anagram_solver-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name anagram_solver

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Finds anagrams for a given word
License: MIT
URL: https://www.github.com/acnalesso/anagram_solver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bson_ext)
# BuildRequires: rubygem(mongoid)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails)
BuildArch: noarch

%description
Reads a dictionary file and allows a user to find anagrams.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
